Page MenuHomePhabricator

[analyzer] MIGChecker: Make use of the server routine annotation.
ClosedPublic

Authored by NoQ on Feb 18 2019, 8:37 PM.

Details

Reviewers
dcoughlin
Summary

The attribute that's added in D58365 allows us to avoid making unreliable guesses on whether the current function is a MIG server routine.

Diff Detail

Event Timeline

NoQ created this revision.Feb 18 2019, 8:37 PM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 18 2019, 8:37 PM
NoQ updated this revision to Diff 187498.Feb 19 2019, 7:32 PM

Rebase due to an update in D58365 - namely, add support for Objective-C messages and blocks that are now allowed to wear the attribute.

NoQ updated this revision to Diff 187501.Feb 19 2019, 7:42 PM

Whoops - make sure that the Objective-C test does actually test something.

dcoughlin accepted this revision.Feb 19 2019, 8:41 PM

LGTM.

clang/test/Analysis/mig.mm
2

Ooh, I didn't know you could split RUN lines like this. That is awesome!

This revision is now accepted and ready to land.Feb 19 2019, 8:41 PM
NoQ updated this revision to Diff 187872.Feb 21 2019, 3:10 PM

Rebase.

NoQ closed this revision.Feb 21 2019, 4:10 PM

Committed as rC354638 but i screwed up the link in the commit message.